x

Search in
Sort by:

Question Status:

Search help

  • Simple searches use one or more words. Separate the words with spaces (cat dog) to search cat,dog or both. Separate the words with plus signs (cat +dog) to search for items that may contain cat but must contain dog.
  • You can further refine your search on the search results page, where you can search by keywords, author, topic. These can be combined with each other. Examples
    • cat dog --matches anything with cat,dog or both
    • cat +dog --searches for cat +dog where dog is a mandatory term
    • cat -dog -- searches for cat excluding any result containing dog
    • [cats] —will restrict your search to results with topic named "cats"
    • [cats] [dogs] —will restrict your search to results with both topics, "cats", and "dogs"

Editor crash with Could not create OpenGL 4.3

Hello, when i start the Editor it crash with next logs:

[2017.01.21-15.19.55:001][ 0]LogInit:Error: _PlatformCreateOpenGLContextCore - Could not create OpenGL 4.3 context, SDL error: 'Could not create GL context: GLXBadFBConfig'
[2017.01.21-15.19.55:001][ 0]LogRHI:Error: OpenGL 4.3 not supported by driver
[2017.01.21-15.19.55:002][ 0]LogInit:Error: PlatformCreateOpenGLContextCore - Could not create OpenGL 4.3 context, SDL error: 'Could not create GL context: GLXBadFBConfig'
Assertion failed: SharedContext.hGLContext [File:/home/nyanta/UnrealEngine/Engine/Source/Runtime/OpenGLDrv/Private/Linux/OpenGLLinux.cpp] [Line: 249]
[Callstack] 00 0x00007f4144a0500f FLinuxPlatformStackWalk::CaptureStackBackTrace(unsigned long long*, unsigned int, void*)
[Callstack] 01 0x00007f41448edf15 FGenericPlatformStackWalk::StackWalkAndDump(char*, unsigned long, int, void*)
[Callstack] 02 0x00007f4144a0aa22 FDebug::LogAssertFailedMessage(char const*, char const*, int, wchar_t const*, ...)
[Callstack] 03 0x00007f4110a39894 FPlatformOpenGLDevice::FPlatformOpenGLDevice()
[Callstack] 04 0x00007f4110a36a97 FOpenGLDynamicRHI::FOpenGLDynamicRHI()
[Callstack] 05 0x00007f4110a365cf FOpenGLDynamicRHIModule::CreateRHI(ERHIFeatureLevel::Type)
[Callstack] 06 0x00007f413ea47071 PlatformCreateDynamicRHI()
[Callstack] 07 0x00007f413ea468cf RHIInit(bool)
[Callstack] 08 0x0000000000418484 FEngineLoop::PreInit(wchar_t const*) [/home/nyanta/UnrealEngine/Engine/Source/Runtime/Launch/Private/LaunchEngineLoop.cpp, line 1633]
[Callstack] 09 0x0000000000424508 GuardedMain(wchar_t const*) [/home/nyanta/UnrealEngine/Engine/Source/Runtime/Launch/Private/Launch.cpp, line 42]
[Callstack] 10 0x00007f413ac11f4b CommonLinuxMain(int, char*, int ()(wchar_t const*))
[Callstack] 11 0x00007f4139fbc401 /lib64/libc.so.6(
_libc_start_main+0xf1) [0x7f4139fbc401]
[Callstack] 12 0x0000000000414ffa ./Engine/Binaries/Linux/UE4Editor(_start+0x2a) [0x414ffa]

[2017.01.21-15.19.55:116][ 0]LogLinux:Error: appError called: Assertion failed: Assertion failed: SharedContext.hGLContext [File:/home/nyanta/UnrealEngine/Engine/Source/Runtime/OpenGLDrv/Private/Linux/OpenGLLinux.cpp] [Line: 249]

Signal 11 caught.
Malloc Size=131076 LargeMemoryPoolOffset=131092

Product Version: UE 4.15 Preview
Tags:
more ▼

asked Jan 21 '17 at 04:04 PM in Bug Reports

avatar image

Peterakk
26 1 3 8

(comments are locked)
10|2000 characters needed characters left
Viewable by all users

2 answers: sort voted first

Have you tried -opengl3 option?

more ▼

answered Jan 22 '17 at 07:19 PM

avatar image

torus
56 1 4 11

avatar image Peterakk Jan 22 '17 at 08:48 PM

Thank you, it helped)

avatar image bonly Mar 15 '17 at 09:32 AM

thx, it helped!!

avatar image Michael Hart Mar 23 '17 at 01:25 PM

that help... I build the latest 4.15 under openSuSE Tumbleweed and was starting to worry since I have the latest greatest of everything including the NVidia drivers for the gtx 1080 ti founder edition... I don't understand that parameter does but this newbe has been growing pain

avatar image scoutchorton Jun 11 '17 at 01:00 AM

Worked on my end! Had an issue where it would start the init screen, go to 0% and quit. I looked in the log (line 211 & 212) and it said: "LogInit:Error: _PlatformCreateOpenGLContextCore - Could not create OpenGL 4.3 context, SDL error: 'Could not create GL context: GLXBadFBConfig'" and "LogRHI:Error: OpenGL 4.3 not supported by driver". OpenGL 3 did the trick! Ubuntu 16.04 & AMD

avatar image pknowlesnv Nov 30 '17 at 09:29 PM

No go for me. I still get the same message. It's been working fine for a month and just today won't start with this error.

avatar image manuaganu Aug 26 '18 at 07:28 AM

I had packaged my game in Shader Model 5 and OpenGL 3 (ES 2).

I had successfully run them individually either Shader Model 5 or OpenGL 3 (ES 2).

Is there any way to change them at runtime from Shader Model 5 to OpenGL 3 (ES 2) or OpenGL 3 (ES 2) to Shader Model 5?

(comments are locked)
10|2000 characters needed characters left
Viewable by all users

Please write on terminal ~/Desktop/UnrealEngine/Engine/Binaries/Linux$ - ./UE4Editor -opengl3

more ▼

answered May 03 '17 at 03:06 AM

avatar image

AMULBHATIA
11 2 3 4

(comments are locked)
10|2000 characters needed characters left
Viewable by all users
Your answer
toggle preview:

Up to 5 attachments (including images) can be used with a maximum of 5.2 MB each and 5.2 MB total.

Follow this question

Once you sign in you will be able to subscribe for any updates here

Answers to this question